/**********************************************************************
 *     EPSCAN, an EPSON ES-1200 scanner driver     
 *     Adam P. Jenkins <ajenkins@cs.umass.edu>
 *     
 *     This program is free software; you can redistribute it and/or
 *     modify it under the terms of the GNU General Public License
 *     as published by the Free Software Foundation; either version 2
 *     of the License, or (at your option) any later version.
 *     
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *     
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 **********************************************************************/

// -*-c++-*-
// this is a composite of a scrollbar and label.  The value of the
// scrollbar is displayed in the label, which is to the left of the
// scrollbar.

#ifndef _VALSLIDER_H
#define _VALSLIDER_H

#include <qlabel.h>
#include <qslider.h>

class ValSlider : public QWidget
{
  Q_OBJECT;
public:
  ValSlider(int minValue, int maxValue, int LineStep, int PageStep,
	    int val, QWidget* parent=0, const char* name=0);

  void setValue(int val) { slider->setValue(val); }
  int value() const { return slider->value(); }

signals:
  void valueChanged(int val);

private:
  QSlider *slider;
  QLabel *valDisplay;
};

	    
#endif
